Loading...
Searching...
No Matches
AVDRMObjectDescriptor Struct Reference

DRM object descriptor. More...

`#include <libavutil/hwcontext_drm.h>`

## Data Fields

int | fd
| DRM PRIME fd for the object.
size_t | size
| Total size of the object.
uint64_t | format_modifier
| Format modifier applied to the object (DRM_FORMAT_MOD_*).

## Detailed Description

DRM object descriptor.

Describes a single DRM object, addressing it as a PRIME file descriptor.

Definition at line 48 of file hwcontext_drm.h.

## Field Documentation

## fd

int AVDRMObjectDescriptor::fd

DRM PRIME fd for the object.

Definition at line 52 of file hwcontext_drm.h.

## size

size_t AVDRMObjectDescriptor::size

Total size of the object.

(This includes any parts not which do not contain image data.)

Definition at line 58 of file hwcontext_drm.h.

## format_modifier

uint64_t AVDRMObjectDescriptor::format_modifier

Format modifier applied to the object (DRM_FORMAT_MOD_*).

If the format modifier is unknown then this should be set to DRM_FORMAT_MOD_INVALID.

Definition at line 65 of file hwcontext_drm.h.

The documentation for this struct was generated from the following file:

- libavutil/hwcontext_drm.h